Page MenuHomePhabricator

Handle function parameters of RunCommandInterpreter (script bridge)
ClosedPublic

Authored by lubgr on May 6 2019, 10:52 AM.

Details

Summary

This issue goes back to this SO answer by Jim Ingham, suggesting to fix the python bindings for RunCommandInterpreter. The reference parameters aren't properly handled by SWIG, but we can use the default typemaps library to generate the necessary glue. The new test captures this behavior (it fails without the adjustment in SBDebugger.i).

This is my first patch, so let me know if any additional tests/background/info would be helpful.

Diff Detail

Repository
rLLDB LLDB

Event Timeline

lubgr created this revision.May 6 2019, 10:52 AM

LGTM, thanks for doing this and for the test! Can I ask you to write a doc string showing how to call this and what it returns in Python. It's not entirely obvious. There are %feature("docstring" examples around in that file that you can copy from.

lubgr updated this revision to Diff 199152.May 11 2019, 12:07 PM

I added the docstring for RunCommandInterpreter, including a simple example invocation.

jingham accepted this revision.May 13 2019, 10:00 AM

Excellent, thanks! Can you check this in or do you need me to?

This revision is now accepted and ready to land.May 13 2019, 10:00 AM

No, I don't have the permissions. Thanks in advance for comitting this.

This revision was automatically updated to reflect the committed changes.